Subject: Re: bug#24712: Grafting of multiple-output dependencies is mishandled

From: [email-masked] (Ludovic Courtès)
Date: Tue, 18 Oct 2016 10:30:20 +0200

Mark H Weaver <[email-masked]> skribis:

> To make a long story short, it turns out that #24703 is the cause.  My
> 'guile-final' is grafted, using a 'glibc-final' grafted to use the new
> Bash.  The only problem is, 'glibc-final' is still trying to load its
> 'gconv' modules from the ungrafted 'glibc-final'.  Thanks to 3d47aa81,
> there are no longer any *visible* references to the ungrafted
> 'glibc-final', so it's no longer being included in the build
> environment.

Ouch, OK.  (At least 3d47aa81 has the intended effect…)

Ludo’.